The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Export the Exceptions

Prev Next

This URL exports exceptions from the Manager.

Resource URL

PUT /domain/<domain_id>/exceptions/export

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
domain_id Domain id Number Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
selectedPolicyList List of the policies to export Object Yes

Details of selectedPolicyList:

Field Name Description Data Type Mandatory
selectedPolicyNameList List of name of exceptions to export. By default all the exceptions are exported. StringList No

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
byteStream Byte stream of the exported file String

Example

Request

PUT https://<NSM_IP>/sdkapi/domain/0/exceptions/export

Payload

{
	“selectedPolicyNameList”:[“test1”,“test2”, “test3”]
} 

Response

{
       "byteSream": “<?xml version='1.0' encoding='ISO-8859-1'?>
<AFConfig>
 <AlertFilterExport EMSVersion="8.1.3.1.22">
  <AlertFilter name="test1" visibleToChild="yes" addressType="0">
   <AlertExclusion srcMode="2" dstMode="3" srcAddr="null" srcMask="null" destAddr="null" destMask="null" srcPortType="0" srcPort="null" destPortType="0" destPort="null"/>
   <AlertExclusion srcMode="1" dstMode="1" srcAddr="null" srcMask="null" destAddr="null" destMask="null" srcPortType="0" srcPort="null" destPortType="0" destPort="null"/>
  </AlertFilter>
  <AlertFilter name="test2" visibleToChild="yes" addressType="0">
   <AlertExclusion srcMode="1" dstMode="1" srcAddr="null" srcMask="null" destAddr="null" destMask="null" srcPortType="0" srcPort="null" destPortType="0" destPort="null"/>
  </AlertFilter>
  <AlertFilter name="test3" visibleToChild="yes" addressType="0">
   <AlertExclusion srcMode="1" dstMode="1" srcAddr="null" srcMask="null" destAddr="null" destMask="null" srcPortType="0" srcPort="null" destPortType="0" destPort="null"/>
  </AlertFilter>
 </AlertFilterExport>
</AFConfig>”
    } 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1105 Invalid domain
2 400 5305 The policy given is not present: <policyname>